Storyden
Auth

Auth Email Verify

Verify an email address using a token that was emailed to one of the account's email addresses either set via sign up or added later. The code is only six digits, so this endpoint MUST be rate limited to keep the search space out of reach of an unauthenticated caller.

POST
/auth/email/verify

Verify an email address using a token that was emailed to one of the account's email addresses either set via sign up or added later.

The code is only six digits, so this endpoint MUST be rate limited to keep the search space out of reach of an unauthenticated caller.

Authorization

cookiestoryden-session<token>

Request Body

application/json
  1. body
email*EmailAddress

The email address to be verified, only necessary for when submitting a verification without a session cookie present.

code*string

Response Body

OK

application/json
  1. response
id*string
Example Request
curl -X POST 'https://example.com/api/auth/email/verify' \  -H 'Content-Type: application/json' \  -d '{  "email": "string",  "code": "string"}'
Example Response
{  "id": "string"}